import request from '@/utils/request'

// 查询移动平台及移动梯列表
export function listMovement(query) {
  return request({
    url: '/dev/movement/list',
    method: 'get',
    params: query
  })
}

// 查询移动平台及移动梯详细
export function getMovement(id) {
  return request({
    url: '/dev/movement/' + id,
    method: 'get'
  })
}

// 新增移动平台及移动梯
export function addMovement(data) {
  return request({
    url: '/dev/movement',
    method: 'post',
    data: data
  })
}

// 修改移动平台及移动梯
export function updateMovement(data) {
  return request({
    url: '/dev/movement',
    method: 'put',
    data: data
  })
}

// 删除移动平台及移动梯
export function delMovement(id) {
  return request({
    url: '/dev/movement/' + id,
    method: 'delete'
  })
}
